Bug 3265 - (int-95950) Packages' install scripts try to use md5sum which is not present on device
(int-95950)
: Packages' install scripts try to use md5sum which is not present on device
Status: RESOLVED FIXED
Product: Core
Busybox
: 4.1.2 (4.2008.36-5)
: All Linux
: Low normal (vote)
: 5.0-alpha
Assigned To: unassigned
: busybox-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-06-19 13:27 UTC by Marcin Juszkiewicz
Modified: 2009-03-02 13:36 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Marcin Juszkiewicz (reporter) 2008-06-19 13:27:20 UTC
I found that during upgrade to Diablo:

Setting up base-files (3.1.osso2+3.1.10.osso16) ...
/var/lib/dpkg/info/base-files.postinst: line 130: md5sum: not found
/var/lib/dpkg/info/base-files.postinst: line 130: md5sum: not found

Worth checking what is wrong I think.
Comment 1 Marcin Juszkiewicz (reporter) 2008-06-19 13:30:35 UTC
change product
Comment 2 Andre Klapper maemo.org 2008-06-20 12:24:58 UTC
Which exact version of the software (Control Panel > General > About product)
and of "dpkg" (Application Manager) is this?

I wonder if Maemo ships md5sum at all - I doubt.

There is a dpkg/md5sum related Debian upstream bug at
http://bugs.debian.org/315784, but  that one is supposed to be fixed for two
years in version 1.13.20.
Comment 3 Marcin Juszkiewicz (reporter) 2008-06-30 15:46:26 UTC
It was with osso-software-version-rx44-unlocked 1:4.2008.23-14 and dpkg
1.14.7maemo5

This is present in base-files 3.1.osso2+3.1.10.osso16 which is shipped in
Diablo firmware image.
Comment 4 David Horn 2008-12-15 18:43:03 UTC
Adding Eero (eero.tamminen@nokia.com) to the cc: list since this is busybox
related.

CONFIG_MD5SUM=y and possibly 
CONFIG_FEATURE_MD5_SHA1_SUM_CHECK=y

would allow busybox to support md5sum command.
Comment 5 Eero Tamminen nokia 2008-12-15 19:04:23 UTC
(In reply to comment #0)
> I found that during upgrade to Diablo:
> 
> Setting up base-files (3.1.osso2+3.1.10.osso16) ...
> /var/lib/dpkg/info/base-files.postinst: line 130: md5sum: not found
> /var/lib/dpkg/info/base-files.postinst: line 130: md5sum: not found
> 
> Worth checking what is wrong I think.

It uses md5sum to check whether to update /etc/motd, which in Diablo is empty
i.e. harmless.  The other cases might not:

# grep -l md5sum /var/lib/dpkg/info/*.p*
/var/lib/dpkg/info/base-files.postinst
/var/lib/dpkg/info/dbus.preinst
/var/lib/dpkg/info/dpkg.preinst
/var/lib/dpkg/info/hal.preinst
/var/lib/dpkg/info/libx11-6.postinst
/var/lib/dpkg/info/libx11-6.preinst
/var/lib/dpkg/info/passwd.preinst
/var/lib/dpkg/info/x11-common.postinst
/var/lib/dpkg/info/x11-common.postrm
/var/lib/dpkg/info/x11-common.preinst

On my Debian Lenny there're 157 package files which would like to use md5sum...
It seems this is mostly for checking whether user has changed their
configuration files (I don't see why cmp wouldn't suffice for that though).

Worth fixing for Fremantle.
Comment 6 Andre Klapper maemo.org 2008-12-16 14:51:39 UTC
(In reply to comment #5)
> Worth fixing for Fremantle.

Thanks, these comments are helpful for me.
-> Imported against Fremantle. WONTFIX for Diablo.
Comment 7 Andre Klapper maemo.org 2009-01-20 12:27:40 UTC
Fixed for Fremantle:
CONFIG_MD5SUM=y and CONFIG_FEATURE_MD5_SHA1_SUM_CHECK=y have been added.